%define name numarray
%define version 1.1.1
%define release 0.PU_IAS.2

Summary: Provides array manipulation and computational capabilities to python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Patch1: numarray-1.0-fix64bit.patch
Copyright: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Vendor: Numerical Python Developers <numpy-developers@lists.sourceforge.net>
Url: http://www.stsci.edu/resources/software_hardware/numarray

%description
Numarray provides array manipulation and computational capabilities similar to those found in IDL, Matlab, or Octave. Using numarray, it is possible to write many efficient numerical data processing applications directly in Python without using any C, C++ or Fortran code (as well as doing such analysis interactively within Python or PyRAF). For algorithms that are not well suited for efficient computation using array facilities it is possible to write C functions (and eventually Fortran) that can read and write numarray arrays that can be called from Python.

%prep
%setup
%patch1 -p1 -b .fix64bit

%build
env CFLAGS="$RPM_OPT_FLAGS" /usr/bin/python setup.py build


%install
/usr/bin/python setup.py install --root=$RPM_BUILD_ROOT

cat >INSTALLED_FILES <<EOF
%doc Doc Examples LICENSE.txt
EOF
find $RPM_BUILD_ROOT -type f | sed -e "s|$RPM_BUILD_ROOT||g" >>INSTALLED_FILES



%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
